
TYPO3.Flow - Bug # 36279

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Core
Created: 2012-04-18 Assigned To: Karsten Dambekalns
Updated: 2012-04-25 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: When setting file permissions, the return code is always 0, even on error
Description

If something goes wrong, it should instead return a non-zero error code.

Associated revisions
Revision e6cd5cdb - 2012-04-18 11:28 - Karsten Dambekalns

[BUGFIX] flow3.php now uses return code from setfilepermissions.sh

Change-Id: I83ffa83d3bf087b3694dafe7548f83ce21e77fce
Fixes: #36279
Releases: 1.0, 1.1

Revision a0de72aa - 2012-04-25 12:54 - Karsten Dambekalns

[BUGFIX] flow3.php now uses return code from setfilepermissions.sh

Change-Id: Ifed806412fa9eaa8e12d3d443bbe3fac52d37ade
Fixes: #36279
Releases: 1.0, 1.1

History
#1 - 2012-04-18 11:28 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10601

#2 - 2012-04-20 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e6cd5cdb5aad759463fdd1c8e09c0e0d53589f59.
http://review.typo3.org/10601


#3 - 2012-04-25 12:54 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/10751

#4 - 2012-04-25 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:a0de72aa66bbed2b44c88221ab8ffbdfb810a6b2.
